#!/bin/bash  
#
# Sole purpose of this policy is to prevent spurious failures when services try to restart after
# being upgraded during shutdown. Otherwise, configuring the package fails and apt doesn't think
# the package is fully installed
#
LIST=1;
QUIET=1;

if [ "$(systemctl is-active unattended-upgrades)" == "activating" ]; 
then
    POSITION_COUNT="0"
    for ARG in $@; do
        case "$ARG" in 
        "--quiet")
            if [ $POSITION_COUNT -ge 2 ]; then
                echo "--quiet needs to be 1st or 2nd argument"
                exit 103
            fi
            QUIET="0";
            shift;
        ;;

        "--list")
            if [ $POSITION_COUNT -ge 2 ]; then
                echo "--list needs to be 1st or 2nd argument"
                exit 103
            fi
            LIST="0"
            shift
        ;;
        esac
        POSITION_COUNT=$(($POSITION_COUNT+1)) 
    done
    if [ "$2" == "start" -o "$2" == "restart" ];
    then
        exit 101
    fi
fi

